ru.bitel.bgbilling.modules.inet.api.server.bean

## Class InetServUtils

- java.lang.Object
- - ru.bitel.bgbilling.modules.inet.api.server.bean.InetServUtils

-     public class InetServUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetServUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `checkIdentifier(ConnectionSet connectionSet, int moduleId, InetServ inetServ, java.lang.String identifier, int setIdentifier)` Проверка на то что идентификатор подходит.
    `static boolean` | `checkMacAddress(ConnectionSet connectionSet, int moduleId, InetServ inetServ, byte[] macAddress, int setMacAddress)` Проверка на то что MAC-адрес подходит.
    `static void` | `updateIdentifier(ConnectionSet connectionSet, int moduleId, InetServ inetServ, java.lang.String identifier, boolean add)` Обновление идентификатора сервиса.
    `static void` | `updateMacAddress(ConnectionSet connectionSet, int moduleId, InetServ inetServ, byte[] macAddress, boolean add)` Обновление MAC-адреса сервиса.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InetServUtils

          public InetServUtils()

  - ### Method Detail

    - #### updateIdentifier

          public static void updateIdentifier(ConnectionSet connectionSet,
                                              int moduleId,
                                              InetServ inetServ,
                                              java.lang.String identifier,
                                              boolean add)
                                       throws ru.bitel.bgbilling.common.BGException

      Обновление идентификатора сервиса.
      Parameters:
        `connectionSet` - соединения к БД.
        `moduleId` - ID модуля.
        `inetServ` - сервис.
        `identifier` - идентификатор.
        `add` - true если нужно добавить, false - если нужно перезаписать идентификатор сервиса.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### checkIdentifier

          public static boolean checkIdentifier(ConnectionSet connectionSet,
                                                int moduleId,
                                                InetServ inetServ,
                                                java.lang.String identifier,
                                                int setIdentifier)
                                         throws ru.bitel.bgbilling.common.BGException

      Проверка на то что идентификатор подходит. При этом может произойти обновление иднтификатора сервиса.
      Parameters:
        `connectionSet` - соединения к БД.
        `moduleId` - ID модуля.
        `inetServ` - сервис.
        `identifier` - идентификатор.
        `setIdentifier` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`
      See Also:
        `InetDeviceRuntime#IDENTIFIER_AUTO_OFF}`, `InetDeviceRuntime#IDENTIFIER_AUTO_SET}`, `InetDeviceRuntime#IDENTIFIER_AUTO_RESET}`, `InetDeviceRuntime#IDENTIFIER_AUTO_ADD}`

    - #### updateMacAddress

          public static void updateMacAddress(ConnectionSet connectionSet,
                                              int moduleId,
                                              InetServ inetServ,
                                              byte[] macAddress,
                                              boolean add)
                                       throws ru.bitel.bgbilling.common.BGException

      Обновление MAC-адреса сервиса.
      Parameters:
        `connectionSet` - соединения к БД.
        `moduleId` - ID модуля.
        `inetServ` - сервис.
        `macAddress` - MAC-адрес.
        `add` - true если нужно добавить, false - если нужно перезаписать идентификатор сервиса.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### checkMacAddress

          public static boolean checkMacAddress(ConnectionSet connectionSet,
                                                int moduleId,
                                                InetServ inetServ,
                                                byte[] macAddress,
                                                int setMacAddress)
                                         throws ru.bitel.bgbilling.common.BGException

      Проверка на то что MAC-адрес подходит. При этом может произойти обновление MAC-адреса сервиса.
      Parameters:
        `connectionSet` - соединения к БД.
        `moduleId` - ID модуля.
        `inetServ` - сервис.
        `macAddress` - MAC-адрес.
        `setMacAddress` -
      Returns:
      Throws:
        `ru.bitel.bgbilling.common.BGException`
      See Also:
        `InetDeviceRuntime#MAC_ADDRESS_AUTO_OFF}`, `InetDeviceRuntime#MAC_ADDRESS_AUTO_SET}`, `InetDeviceRuntime#MAC_ADDRESS_AUTO_RESET}`, `InetDeviceRuntime#MAC_ADDRESS_AUTO_ADD}`